#define _16bit OSL_PF_8888
#define spr_draw oslDrawImageXY
#define MAXSPRITES 1024

#include <oslib/oslib.h>
#include <oslib/libpspmath/pspmath.h>
#include <psputils.h>
#include <pspkernel.h>
#include <pspdebug.h>
#include <pspmpeg.h>
#include <pspdisplay.h>
#include <psprtc.h>
#include <psppower.h>
#include <pspfpu.h>
#include <pspgu.h>
#include <psptypes.h>
#include <stdlib.h>
#include <stdio.h>
#include "common.h"
#include "room.h"
#include "quicksort.h"
#include "define_room.h"
#include "sprite_struct.h"
#include <stdio.h>
#include <stdlib.h>

int menu()
{
	short ch=0, chosen=0;

	while (!chosen)
	{
		oslStartDrawing();
		oslDrawFillRect(0, 0, 480, 272, RGB(0, 0, 0));
		center(136, "ODYSSEY FOR PANIC!", 1, RGB(255,255,0));

		oslDrawFillRect(0, 196+20*ch, 480, 208+20*ch, RGB(255, 0, 0));

		center(196, "New game", 2, RGB(255, 255, 255));
		center(216, "Level editor", 2, RGB(255, 255, 255));
		center(236, "Quit game", 2, RGB(255, 255, 255));

		center(272, "", 1, RGB(255,255,0));

		oslEndDrawing();
		oslSwapBuffers();
		oslWaitVSync();

		oslReadKeys();

		if ((osl_keys->pressed.up) && (ch > 0))
		{
			ch--;
		}

		if ((osl_keys->pressed.down) && (ch < 2))
		{
			ch++;
		}

		if (((osl_keys->pressed.start) || (osl_keys->pressed.cross) || (osl_keys->pressed.circle)))
		{
		    chosen=1;
		}

	}

	return ch;
}
